# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from atlas.api import atlas_pb2 as weclikd_dot_service_dot_atlas__pb2


class AtlasStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.CreatePost = channel.unary_unary(
        '/weclikd.Atlas/CreatePost',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.CreatePostRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.CreatePostResponse.FromString,
        )
    self.CreateComment = channel.unary_unary(
        '/weclikd.Atlas/CreateComment',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.CreateCommentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.CreateCommentResponse.FromString,
        )
    self.GetPosts = channel.unary_unary(
        '/weclikd.Atlas/GetPosts',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.GetPostsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.GetPostsResponse.FromString,
        )
    self.GetComments = channel.unary_unary(
        '/weclikd.Atlas/GetComments',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.GetCommentsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.GetCommentsResponse.FromString,
        )
    self.GetPostFromUrl = channel.unary_unary(
        '/weclikd.Atlas/GetPostFromUrl',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.GetPostFromUrlRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.GetPostFromUrlResponse.FromString,
        )
    self.GetDiscussion = channel.unary_unary(
        '/weclikd.Atlas/GetDiscussion',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.GetDiscussionRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.GetDiscussionResponse.FromString,
        )
    self.GetFeed = channel.unary_unary(
        '/weclikd.Atlas/GetFeed',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.GetFeedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.GetFeedResponse.FromString,
        )
    self.RemoveContent = channel.unary_unary(
        '/weclikd.Atlas/RemoveContent',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.RemoveContentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.RemoveContentResponse.FromString,
        )
    self.EditPost = channel.unary_unary(
        '/weclikd.Atlas/EditPost',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.EditPostRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.EditPostResponse.FromString,
        )
    self.EditComment = channel.unary_unary(
        '/weclikd.Atlas/EditComment',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.EditCommentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.EditCommentResponse.FromString,
        )
    self.MergePost = channel.unary_unary(
        '/weclikd.Atlas/MergePost',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.MergePostRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.MergePostResponse.FromString,
        )
    self.SharePost = channel.unary_unary(
        '/weclikd.Atlas/SharePost',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.SharePostRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.SharePostResponse.FromString,
        )
    self.UnsharePost = channel.unary_unary(
        '/weclikd.Atlas/UnsharePost',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.UnsharePostRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.UnsharePostResponse.FromString,
        )
    self.ReportContent = channel.unary_unary(
        '/weclikd.Atlas/ReportContent',
        request_serializer=weclikd_dot_service_dot_atlas__pb2.ReportContentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_atlas__pb2.ReportContentResponse.FromString,
        )


class AtlasServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def CreatePost(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def CreateComment(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetPosts(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetComments(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetPostFromUrl(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetDiscussion(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetFeed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def RemoveContent(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def EditPost(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def EditComment(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def MergePost(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SharePost(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def UnsharePost(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ReportContent(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_AtlasServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'CreatePost': grpc.unary_unary_rpc_method_handler(
          servicer.CreatePost,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.CreatePostRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.CreatePostResponse.SerializeToString,
      ),
      'CreateComment': grpc.unary_unary_rpc_method_handler(
          servicer.CreateComment,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.CreateCommentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.CreateCommentResponse.SerializeToString,
      ),
      'GetPosts': grpc.unary_unary_rpc_method_handler(
          servicer.GetPosts,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.GetPostsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.GetPostsResponse.SerializeToString,
      ),
      'GetComments': grpc.unary_unary_rpc_method_handler(
          servicer.GetComments,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.GetCommentsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.GetCommentsResponse.SerializeToString,
      ),
      'GetPostFromUrl': grpc.unary_unary_rpc_method_handler(
          servicer.GetPostFromUrl,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.GetPostFromUrlRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.GetPostFromUrlResponse.SerializeToString,
      ),
      'GetDiscussion': grpc.unary_unary_rpc_method_handler(
          servicer.GetDiscussion,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.GetDiscussionRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.GetDiscussionResponse.SerializeToString,
      ),
      'GetFeed': grpc.unary_unary_rpc_method_handler(
          servicer.GetFeed,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.GetFeedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.GetFeedResponse.SerializeToString,
      ),
      'RemoveContent': grpc.unary_unary_rpc_method_handler(
          servicer.RemoveContent,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.RemoveContentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.RemoveContentResponse.SerializeToString,
      ),
      'EditPost': grpc.unary_unary_rpc_method_handler(
          servicer.EditPost,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.EditPostRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.EditPostResponse.SerializeToString,
      ),
      'EditComment': grpc.unary_unary_rpc_method_handler(
          servicer.EditComment,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.EditCommentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.EditCommentResponse.SerializeToString,
      ),
      'MergePost': grpc.unary_unary_rpc_method_handler(
          servicer.MergePost,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.MergePostRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.MergePostResponse.SerializeToString,
      ),
      'SharePost': grpc.unary_unary_rpc_method_handler(
          servicer.SharePost,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.SharePostRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.SharePostResponse.SerializeToString,
      ),
      'UnsharePost': grpc.unary_unary_rpc_method_handler(
          servicer.UnsharePost,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.UnsharePostRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.UnsharePostResponse.SerializeToString,
      ),
      'ReportContent': grpc.unary_unary_rpc_method_handler(
          servicer.ReportContent,
          request_deserializer=weclikd_dot_service_dot_atlas__pb2.ReportContentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_atlas__pb2.ReportContentResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'weclikd.Atlas', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
